# 下载CentOS
## 官网地址

https://www.centos.org/

## 下载地址
在浏览器输入地址：https://www.centos.org/download/

![下载CentOS](../static/images/os/centos_download.jpg)

点击“CentOS Linux DVD ISO”按钮，进入下载列表页面，选择其中一下下载地址下载CentOS。

国内下载地址：
http://mirrors.nju.edu.cn/centos/7/isos/x86_64/CentOS-7-x86_64-DVD-1908.iso

# 安装CentOS
将安装盘装入机器，设置从光盘启动。（虚拟机可以加载iso光盘镜像文件到光驱中）

![安装CentOS7 001](../static/images/os/centos7_001.png)

选择“Install CentOS 7”，按回车键安装CentOS 7；

![安装CentOS7 002](../static/images/os/centos7_002.png)

“您在安装过程中想使用哪种语言？”使用“中文”->“简体中文（中国）”。点击“继续”按钮开始安装设置；

![安装CentOS7 003](../static/images/os/centos7_003.png)

点击“安装位置”，设置将操作系统安装到哪个磁盘；

![安装CentOS7 004](../static/images/os/centos7_004.png)

选择要安装CentOS的磁盘，然后点击“完成”按钮返回安装摘要窗口。

![安装CentOS7 005](../static/images/os/centos7_005.png)

点击“开始安装”按钮开始安装；

![安装CentOS7 006](../static/images/os/centos7_006.png)

点击“ROOT 密码”设置root用户密码；

![安装CentOS7 007](../static/images/os/centos7_007.png)

在“Root 密码”输入框，输入root用户密码。在“确认”输入框，输入相同的root用户密码。点击“完成”按钮，完成root用户密码的设置；

![安装CentOS7 008](../static/images/os/centos7_008.png)

点击“重启”按钮重启系统；重启后进入如下的登录界面。

![安装CentOS7 009](../static/images/os/centos7_009.png)

安装完成。

# 配置

安装ifconfig等网络工具

``` shell
[root@localhost ~] yum install net-tools
```
## 网络配置

CentOS安装完成后，默认网络是关闭状态。要使用网络必须打开网络设置。编辑网络配置文件“/etc/sysconfig/network-scripts/ifcfg-ens33”。

![启动网络](../static/images/os/centos_net_001.png)

将“ONBOOT=no”改为“ONBOOT=yes”。保存文件。

重新启动网络。

``` shell
[root@localhost ~] systemctl restart network
```
